PaymentMethod

Payment methods are used to process payments for subscriptions and orders.

  • Name
    object
    Type
    string
    Description

    Type of object is always paymentMethod.

    Allowed values: paymentMethod 
  • Name
    id
    Type
    string
    Description

    Unique identifier for the payment method.

    Example: "pm_1IHCiiI2m82Dc6YnhqGWH6JX"
  • Name
    brand
    Type
    nullable string
    Description

    Card brand. Only available for type card.

    Example: "visa"
    Allowed values: amex diners discover jcb mastercard unionpay visa unknown 
  • Name
    createdAt
    Type
    string
    Description

    Time when the payment method was created.

    Example: "2021-02-14T19:38:34Z"
  • Name
    last4
    Type
    nullable string
    Description

    The last four digits of the card. Only available for type card.

    Example: "4242"
  • Name
    provider
    Type
    string
    Description

    The provider of the payment method. Currently only stripe is supported.

    Allowed values: stripe 
  • Name
    status
    Type
    string
    Description

    The status of the payment method. It can have one of the following values:

        - `available`: The payment method is available for processing payments.
        - `requiresConfirmation`: The payment method requires user confirmation before being able to process payments.
        - `deleted`: The payment method has been deleted. This value appears in `paymentMethod.deleted` events and in the response to `DELETE /paymentMethods/{id}`; deleted payment methods cannot be fetched via GET.
        - `replaced`: The payment method has been replaced by another payment method with the same card details. This value appears in payment method events; replaced payment methods cannot be fetched via GET.
      
    
    Example: "available"
    Allowed values: available requiresConfirmation deleted replaced 
  • Name
    type
    Type
    string
    Description

    Type of the payment method.

    Example: "card"
    Allowed values: card applePay googlePay 
  • Name
    user
    Type
    string
    Description

    Unique identifier for the user of the payment method.

    Example: "usr_0SNlurA049MEWV4OpCwsNyC9Kn2d"

PaymentMethod object

{
  "object": "paymentMethod",
  "id": "pm_1IHCiiI2m82Dc6YnhqGWH6JX",
  "brand": "visa",
  "createdAt": "2021-02-14T19:38:34.0Z",
  "last4": "4242",
  "provider": "stripe",
  "status": "available",
  "type": "card",
  "user": "usr_0SNlurA049MEWV4OpCwsNyC9Kn2d"
}